FROM node:20-bullseye-slim

WORKDIR /app

COPY package*.json ./

RUN npm install
RUN apt-get update && apt-get install -y \
    opendkim \
    opendkim-tools \
    openssl \
    && rm -rf /var/lib/apt/lists/*

COPY . .

EXPOSE 3000
EXPOSE 3700

CMD ["npm", "start"]